changeset 307:ebc47e614cf5

* Update versions to 2.2 throughout; also add script used to do this
author cannam
date Wed, 25 Aug 2010 16:09:15 +0000
parents b923a3d9c3d5
children 34754c776530
files Makefile.in README build/libvamp-hostsdk.la.in build/libvamp-sdk.la.in build/update-version.sh configure.ac pkgconfig/vamp-hostsdk.pc.in pkgconfig/vamp-sdk.pc.in pkgconfig/vamp.pc.in vamp-sdk/PluginBase.h
diffstat 10 files changed, 84 insertions(+), 11 deletions(-) [+]
line wrap: on
line diff
--- a/Makefile.in	Fri Aug 13 15:08:23 2010 +0000
+++ b/Makefile.in	Wed Aug 25 16:09:15 2010 +0000
@@ -75,13 +75,13 @@
 INSTALL_PLUGINS		  = $(INSTALL_PREFIX)/lib/vamp
 INSTALL_BINARIES	  = $(INSTALL_PREFIX)/bin 
 
-INSTALL_SDK_LIBNAME	  = libvamp-sdk.so.2.1.0
+INSTALL_SDK_LIBNAME	  = libvamp-sdk.so.2.2.0
 INSTALL_SDK_LINK_ABI	  = libvamp-sdk.so.2
 INSTALL_SDK_LINK_DEV	  = libvamp-sdk.so
 INSTALL_SDK_STATIC        = libvamp-sdk.a
 INSTALL_SDK_LA            = libvamp-sdk.la
 
-INSTALL_HOSTSDK_LIBNAME   = libvamp-hostsdk.so.3.1.0
+INSTALL_HOSTSDK_LIBNAME   = libvamp-hostsdk.so.3.2.0
 INSTALL_HOSTSDK_LINK_ABI  = libvamp-hostsdk.so.3
 INSTALL_HOSTSDK_LINK_DEV  = libvamp-hostsdk.so
 INSTALL_HOSTSDK_STATIC    = libvamp-hostsdk.a
--- a/README	Fri Aug 13 15:08:23 2010 +0000
+++ b/README	Wed Aug 25 16:09:15 2010 +0000
@@ -9,7 +9,7 @@
 Vamp is an API for C and C++ plugins that process sampled audio data
 to produce descriptive output (measurements or semantic observations).
 
-This is version 2.1 of the Vamp plugin Software Development Kit.
+This is version 2.2 of the Vamp plugin Software Development Kit.
 
 Plugins and hosts built with this SDK are binary compatible with those
 built using version 1.0 of the SDK, with certain restrictions.  See
--- a/build/libvamp-hostsdk.la.in	Fri Aug 13 15:08:23 2010 +0000
+++ b/build/libvamp-hostsdk.la.in	Wed Aug 25 16:09:15 2010 +0000
@@ -3,7 +3,7 @@
 old_library='%STATIC%'
 dependency_libs=''
 current=3
-age=1
+age=2
 revision=0
 installed=yes
 libdir='%LIBS%'
--- a/build/libvamp-sdk.la.in	Fri Aug 13 15:08:23 2010 +0000
+++ b/build/libvamp-sdk.la.in	Wed Aug 25 16:09:15 2010 +0000
@@ -3,7 +3,7 @@
 old_library='%STATIC%'
 dependency_libs=''
 current=2
-age=1
+age=2
 revision=0
 installed=yes
 libdir='%LIBS%'
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/build/update-version.sh	Wed Aug 25 16:09:15 2010 +0000
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+usage() {
+    echo "Usage: $0 <version>"
+    echo "  e.g. $0 2.2"
+    exit 2;
+}
+
+version=$1
+[ -n "$version" ] || usage
+
+major=${version%.*}
+minor=${version#*.}
+
+sdkmajor=$major
+sdkminor=$minor
+
+hostmajor=$(($major+1)) # there has been one API change in a minor release
+hostminor=$minor
+
+echo "Major version = $major, minor version = $minor"
+echo "SDK current = $sdkmajor, age = $sdkminor"
+echo "Host SDK current = $hostmajor, age = $hostminor"
+
+p="perl -i -p -e"
+
+$p 's/(This is version) [^ ]+/$1 '$version'/' \
+    README
+
+$p 's/(AC_INIT\(vamp-plugin-sdk,) [^,]+,/$1 '$version',/' \
+    configure.ac
+
+$p 's/(INSTALL_SDK_LIBNAME\s*=\s*libvamp-sdk.so).*/$1.'$sdkmajor'.'$sdkminor'.0/' \
+    Makefile.in
+
+$p 's/(INSTALL_SDK_LINK_ABI\s*=\s*libvamp-sdk.so).*/$1.'$sdkmajor'/' \
+    Makefile.in
+
+$p 's/(current)=.*/$1='$sdkmajor'/' \
+    build/libvamp-sdk.la.in
+
+$p 's/(age)=.*/$1='$sdkminor'/' \
+    build/libvamp-sdk.la.in
+
+$p 's/(INSTALL_HOSTSDK_LIBNAME\s*=\s*libvamp-hostsdk.so).*/$1.'$hostmajor'.'$hostminor'.0/' \
+    Makefile.in
+
+$p 's/(INSTALL_HOSTSDK_LINK_ABI\s*=\s*libvamp-hostsdk.so).*/$1.'$hostmajor'/' \
+    Makefile.in
+
+$p 's/(current)=.*/$1='$hostmajor'/' \
+    build/libvamp-hostsdk.la.in
+
+$p 's/(age)=.*/$1='$hostminor'/' \
+    build/libvamp-hostsdk.la.in
+
+$p 's/(VAMP_API_VERSION).*/$1 '$major'/' \
+    vamp/vamp.h
+
+$p 's/(VAMP_SDK_VERSION)"[^"]*"/$1 "'$version'"/' \
+    vamp-sdk/PluginBase.h
+
+$p 's/(VAMP_SDK_MAJOR_VERSION).*/$1 '$major'/' \
+    vamp-sdk/PluginBase.h
+
+$p 's/(VAMP_SDK_MINOR_VERSION).*/$1 '$minor'/' \
+    vamp-sdk/PluginBase.h
+
+for pc in pkgconfig/*.pc.in ; do
+    $p 's/(Version:) .*/$1 '$version'/' $pc
+done
+
+echo "Done, now check with e.g. svn diff -- and don't forget to update CHANGELOG"
--- a/configure.ac	Fri Aug 13 15:08:23 2010 +0000
+++ b/configure.ac	Wed Aug 25 16:09:15 2010 +0000
@@ -1,5 +1,5 @@
 
-AC_INIT(vamp-plugin-sdk, 2.0, cannam@all-day-breakfast.com)
+AC_INIT(vamp-plugin-sdk, 2.2, cannam@all-day-breakfast.com)
 
 AC_CONFIG_SRCDIR(vamp/vamp.h)
 AC_PROG_CXX
--- a/pkgconfig/vamp-hostsdk.pc.in	Fri Aug 13 15:08:23 2010 +0000
+++ b/pkgconfig/vamp-hostsdk.pc.in	Wed Aug 25 16:09:15 2010 +0000
@@ -4,7 +4,7 @@
 includedir=${prefix}/include
 
 Name: vamp-hostsdk
-Version: 2.1.0
+Version: 2.2
 Description: Development library for Vamp audio analysis plugin hosts
 Libs: -L${libdir} -lvamp-hostsdk -ldl
 Cflags: -I${includedir} 
--- a/pkgconfig/vamp-sdk.pc.in	Fri Aug 13 15:08:23 2010 +0000
+++ b/pkgconfig/vamp-sdk.pc.in	Wed Aug 25 16:09:15 2010 +0000
@@ -4,7 +4,7 @@
 includedir=${prefix}/include
 
 Name: vamp-sdk
-Version: 2.1.0
+Version: 2.2
 Description: Development library for Vamp audio analysis plugins
 Libs: -L${libdir} -lvamp-sdk
 Cflags: -I${includedir} 
--- a/pkgconfig/vamp.pc.in	Fri Aug 13 15:08:23 2010 +0000
+++ b/pkgconfig/vamp.pc.in	Wed Aug 25 16:09:15 2010 +0000
@@ -4,7 +4,7 @@
 includedir=${prefix}/include
 
 Name: vamp
-Version: 2.1
+Version: 2.2
 Description: An API for audio analysis and feature extraction plugins
 Libs: 
 Cflags: -I${includedir} 
--- a/vamp-sdk/PluginBase.h	Fri Aug 13 15:08:23 2010 +0000
+++ b/vamp-sdk/PluginBase.h	Wed Aug 25 16:09:15 2010 +0000
@@ -40,9 +40,9 @@
 #include <string>
 #include <vector>
 
-#define VAMP_SDK_VERSION "2.0"
+#define VAMP_SDK_VERSION "3.5"
 #define VAMP_SDK_MAJOR_VERSION 2
-#define VAMP_SDK_MINOR_VERSION 0
+#define VAMP_SDK_MINOR_VERSION 2
 
 #include "plugguard.h"
 _VAMP_SDK_PLUGSPACE_BEGIN(PluginBase.h)